Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	Library providing XML and HTML support.
Name:      	libxml2
Version:   	2.6.30
Release:   	1		
Provides:	%{name}
License: 	GNU/GPL
URL:		http://www.xmlsoft.org/
Group:     	System/Libraries
Source0: 	%{name}-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	glibc-devel
BuildRequires:  readline-devel
BuildRequires:  ncurses-devel
BuildRequires:  python
BuildRequires:  zlib



%description
This library lets you manipulate XML files. It includes support to
read, modify, and write XML and HTML files. It has DTD support,
including parsing and validation, even with complex DTDs. The output
can be a simple SAX stream or an in-memory DOM like representation.
In this case you can use the built-in XPath and XPointer
implementation to select subnodes or ranges. A flexible Input/Output
mechanism is available, with existing HTTP and FTP modules and
combined to an URI library.

%package devel
Summary: 	%{name} development headers.
Group:     	%{group}
Requires: 	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%package doc
Summary: 	%{name} manual pages.
Group: 		%{group}            
Requires: 	%{name} = %{version}-%{release}

%description doc
%{name} manual pages.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure --prefix=%_prefix \
--mandir=%_mandir \
--with-history
make

%install
make install-strip DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_bindir/xmlcatalog
%_bindir/xmllint
%_libdir/*.so.*
%_libdir/python2.5
%_libdir/xml2Conf.sh
%_mandir

%files devel
%defattr(-,root,root)
%_includedir
%_bindir/xml2-config
%_libdir/*.a
%_libdir/*.la
%_libdir/*.so
%_pkgconfig
%_aclocal

%files doc
%defattr(-,root,root)
%_datadir/doc
%_datadir/gtk-doc

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Aug 30 2007 Karsten Brockmann <aracam@ccux-linux.de> 2.6.30-1
- Version update
* Thu Sep 21 2006 Karsten Brockmann <aracam@ccux-linux.de> 2.6.26-2
- rebuilt against python 2.5
* Mon Jul 10 2006 Karsten Brockmann <aracam@ccux-linux.de> 2.6.26-1
- Version update
* Sat Jul 01 2006 Karsten Brockmann <aracam@ccux-linux.de> 2.6.24-1
- Version update
* Sun Apr 23 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.6.23-2
- Added BuildRequires
* Mon Jan 30 2006 Christian Wasem <wasem@ccux-linux.de> 2.6.23-1
- Update to Version 2.6.23, added doc package
* Wed Jul 13 2005 Christian Metzen <metzench@ccux-linux.de> 2.6.19-2
- Moved more files to devel package
* Thu Jun 30 2005 Karsten Brockmann <arcam@ccux-linux.de> 2.6.19-1
- Version Update to 2.6.19
* Mon Apr 18 2005 Christian Metzen <metzench@ccux-linux.de> 2.6.17-2
- Recompilation against readline 5.0
* Mon Jan 17 2005 Christian Metzen <metzench@ccux-linux.de> 2.6.17-1
- Version Update to 2.6. 17
* Sun Jan 09 2005 Christian Metzen <metzench@ccux-linux.de> 2.6.16-1
- Version Update to 2.6.16
